#include <iostream>
#include <cmath>

using namespace std;

int main()
{
	int n,k,z;
	cin>>n;
	cin>>k;
	int a[n];
	for(int i=0; i<n; i++)
	{
		cin>>a[i];
	}
	int m=0;
	int j=0;
	for(int i=0; i<k; i++)
	{
		if(a[m]>a[n-j])
		{
			z=a[m]-a[n-j];
			a[m]=z;
			j++;
		}
		else if(a[m]<a[n-j])
		{
			z=a[n]-a[m+i];
			a[n]=z;
			m++;
		}
	}
	cout<<abs(z);
	return 0;
}